Subject: Re: unregister_netdevice: waiting for tun6to4 to become free.

From: Jeff Garzik <[email-masked]>
Date: Mon, 20 Sep 2004 20:59:05 -0400

Pekka Pietikainen wrote:
> Hiya
> 
> When trying to do /etc/init.d/network stop (or reboot) my
> fc3test-all-updated-so-kernel-is-2.6.9-rc2-bk5ish, the thing hangs with a
> "unregister_netdevice: waiting for tun6to4 to become free. Usage count = 1".
> The 6to4 tunnel is over the kernel PPPoE tunnel in case that makes a
> difference

I hit this _once_ on my gateway (NAT'ing firewall IPv4, now also IPv6 
router).

No idea why it went away, I just assumed a more recent kernel fixed 
something.

	Jeff